<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/28/2009 *
 * ===============                              Last change: 02/28/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : config-functions.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Many non-MySQL functions (also file access)      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Viele Nicht-MySQL-Funktionen (auch Dateizugriff) *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
}

// Merges $_CONFIG with data in given array
function mergeConfig ($newConfig) {
	global $_CONFIG;
	$_CONFIG = merge_array($_CONFIG, $newConfig);
}

// Getter for $_CONFIG entries
function getConfig ($entry) {
	global $_CONFIG;

	// Default value
	$value = null;

	// Is the entry there?
	if (isConfigEntrySet($entry)) {
		// Then use it
		$value = $_CONFIG[$entry];
	} // END - if

	// Return it
	return $value;
}

// Setter for $_CONFIG entries
function setConfigEntry ($entry, $value) {
	global $_CONFIG;

	// Secure the entry name
	$entry = SQL_ESCAPE($entry);

	// And set it
	$_CONFIG[$entry] = $value;
}

// Checks wether the given config entry is set
function isConfigEntrySet ($entry) {
	global $_CONFIG;
	return (isset($_CONFIG[$entry]));
}

// Increment or init with given value or 1 as default the given config entry
function incrementConfigEntry ($configEntry, $value=1) {
	global $_CONFIG;

	// Increment it if set or init it with 1
	if (getConfig($configEntry) > 0) {
		$_CONFIG[$configEntry] += $value;
	} else {
		$_CONFIG[$configEntry] = $value;
	}
}

// [EOF]
?>
